Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development.testing
Class LocalTaskQueueTestConfig.DeferredTaskCallback

    java.lang.Object
      com.google.appengine.tools.development.testing.LocalTaskQueueTestConfig.DeferredTaskCallback

All Implemented Interfaces:
  LocalTaskQueueCallback, java.io.Serializable

Enclosing class:
  LocalTaskQueueTestConfig

    public static class LocalTaskQueueTestConfig.DeferredTaskCallback

extends java.lang.Object
implements LocalTaskQueueCallback

A `LocalTaskQueueCallback` implementation that automatically detects and runs tasks with a `DeferredTask` payload. Requests with a payload that is not a `DeferredTask` are dispatched to `executeNonDeferredRequest(URLFetchServicePb.URLFetchRequest)`, which by default does nothing. If you need to handle a payload like this you can extend the class and override this method to do what you need.

See Also:
  Serialized Form

Constructor Summary
`LocalTaskQueueTestConfig.DeferredTaskCallback()`

Method Summary
`int` | `execute(URLFetchServicePb.URLFetchRequest req)` Execute the provided url fetch request.
`protected int` | `executeNonDeferredRequest(URLFetchServicePb.URLFetchRequest req)` Broken out to make it easy for subclasses to provide their own behavior when the request payload is not a `DeferredTask`.
`void` | `initialize(java.util.Map<java.lang.String,java.lang.String> properties)` This method will be invoked from `LocalTaskQueue#init(com.google.appengine.tools.development.LocalServiceContext, Map)` forwarding the `properties` parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalTaskQueueTestConfig.DeferredTaskCallback

    public LocalTaskQueueTestConfig.DeferredTaskCallback()

Method Detail

### initialize

    public void initialize(java.util.Map<java.lang.String,java.lang.String> properties)

  Description copied from interface: `LocalTaskQueueCallback`
  This method will be invoked from `LocalTaskQueue#init(com.google.appengine.tools.development.LocalServiceContext, Map)` forwarding the `properties` parameter.

  Specified by:
    `initialize` in interface `LocalTaskQueueCallback`

### execute

    public int execute(URLFetchServicePb.URLFetchRequest req)

  Description copied from interface: `LocalTaskQueueCallback`
  Execute the provided url fetch request.

  Specified by:
    `execute` in interface `LocalTaskQueueCallback`
  Parameters:
    `req` - The url fetch request
  Returns:
    The HTTP status code of the fetch.

### executeNonDeferredRequest

    protected int executeNonDeferredRequest(URLFetchServicePb.URLFetchRequest req)

  Broken out to make it easy for subclasses to provide their own behavior when the request payload is not a `DeferredTask`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD